Parts forgets their original zero position when reloading scene
History
Description

Leaving vessel saves its current position as zero position on all parts, so if there is any pressure on vessel it gets modified over time
according how many times you reload scene.

This is most noticeable on robotic parts but i do further investigation on other structucal parts.

History

#1 - 01/29/2021 03:23 PM - jukkamuhonen@hotmail.com

This seems to be robotics parts only problem, its current spring state is saved as zero point.

#2 - 01/29/2021 03:42 PM - jukkamuhonen@hotmail.com
- File Screenshot (19).png added
- File Screenshot (26).png added

Made some smaller robotic arm with very small weight to confirm this.

I have control point at end of fuel tank, which robotic arm loads.

After 7 times reloading scene robotic arm has changed about 5 degrees under 1 tonne weight. Imagine what this does on mining bases which you
constantly refresh.

#3 - 01/29/2021 09:54 PM - jukkamuhonen@hotmail.com

This is probably what causes robotic krakens on reload. when left robotic part under pressure, next time you reload scene that pressure is fully
released on that direction.
Fix this and you get 2 things fixed same time :)

#4 - 01/29/2021 10:06 PM - dok_377

Probably ain't going to happed any time soon. This bug is ancient, it was in the parts from the very beginning. The fix would require heavy code
rewriting, since it was coded as is from the start. The system itself is fundamentally flawed.

https://bugs.kerbalspaceprogram.com/issues/22928

#5 - 02/02/2021 12:20 AM - jukkamuhonen@hotmail.com

| think these microphysics bugs should need be fixed before adding any new content over it. Some values on game seems weird too which causes
krakens. Like every part is shaking on their own, even without input. Which means that more of parts you put together, bigger their magical shake
forces will be and they starts kraking. There should be some tolerance to avoid rattling coordinates to affect real physics on game.

#6 - 02/09/2021 01:14 PM - Anth12

They are aware of this bug.

#7 - 02/15/2021 02:27 PM - jukkamuhonen@hotmail.com
Anth12 wrote:

They are aware of this bug.
https://bugs.kerbalspaceprogram.com/issues/22928

Any plans of fixing or ideas how to fix?

#8 - 02/15/2021 08:45 PM - Anth12

| think they want to fix it, not sure what they are doing to attempt to fix it though.

EJ_SA has been having constant issues with this on twitch, and at least one KSP developer is regularly watching him

Also it appears that more people are now complaining about it as time passes

#9 - 02/15/2021 10:54 PM - Dunbaratu

My biggest frustration with this is not merely that they forget their position when going on and off rails, but that they forget the fact that they were
locked and they forget the motor was engaged. So not only do they load in in the wrong position, they load in with the bits of the vessel attached to

hinges just flopping around loosely.
